/* ✅ フロントエンド専用のブロックスタイル */
.is-style-sme-alert-warning {
    background-color: #ffede6;
    border: 1px solid #ffdacd;
    color: #361f17;
    padding: 15px 15px 15px 50px;
    position: relative;
}

.is-style-sme-alert-warning:before {
    content: "";
    background-image: url('https://toretame.jp/wp-content/uploads/2025/03/icon.svg');
    background-size: contain;
    background-repeat: no-repeat;
    width: 24px;
    height: 24px;
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
}

/* ✅ 成功メッセージ */
.is-style-sme-alert-success {
    background-color: #E6F8FF;
    border: 1px solid #8DE1FF;
    color: #155724;
    padding: 15px 15px 15px 50px;
    position: relative;
}

.is-style-sme-alert-success:before {
    content: '';
    background-image: url('https://toretame.jp/wp-content/uploads/2025/03/success_icon.svg');
    background-size: contain;
    background-repeat: no-repeat;
    width: 24px;
    height: 24px;
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
}

/* ✅ テーブルのスタイル */
.wp-block-table table {
    width: 80% !important;
    margin: 0 auto;
}

.wp-block-table th,
.wp-block-table td {
    text-align: center !important;
    font-weight: bold !important;
    vertical-align: middle !important;
    padding: 10px;
}
